-- =============================================
-- Author:		<Luca,,C6Mart.DM_GestioneEmail>
-- Create date: <13/11/2008,,>
-- Description:	<Prima fase popolamento tabella email,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[DM_GESTIONE_EMAIL_RNA] 
AS
BEGIN
BEGIN TRANSACTION
--QUESTA SP POPOLA LA TABELLA GESTIONE_EMAIL PER LE CASISTICHE DI:
--	LISTA CLIENTI PER CUI OCCORRE GENERARE I REPORT
DECLARE @ID_ELAB INT
SET @ID_ELAB = C6MARTPERIODICO.GETIDELAB()
DECLARE @GETDATE AS DATETIME
SELECT 	@GETDATE = GETDATE()
-- RECUPERO LA TIPOLOGIA DI EMAIL DI SOLLECITO
DECLARE @NUMEL_EMAIL_AL_MESE AS INT
SELECT @NUMEL_EMAIL_AL_MESE = C6MartPeriodico.getNumeroElaborazioniEmailAlMese()
DECLARE @TIPOEMAIL AS VARCHAR(50)
IF(@NUMEL_EMAIL_AL_MESE = 0)
	SET @TIPOEMAIL = 'LC_NOASS'
ELSE
	SET @TIPOEMAIL = 'LC_' + CAST(@NUMEL_EMAIL_AL_MESE as VARCHAR(1)) + '_SOLL_NOASS'
 --1. INSERIMENTO MAIL "LISTA CLIENTI PER CUI OCCORRE GENERARE I REPORT"
	-- TUPLE DA PERFEZIONARE SU CONTRATTOSEI
	-- NON PRESENTI SU GESTIONE_EMAIL
	INSERT INTO C6MartPeriodico.GESTIONE_EMAIL
		(Rete,CodicePB,Tipo,Data_Generazione, ID_ELAB)
	SELECT 
		DISTINCT
		C6.Rete,
		C6.CodicePB as CodicePB,
		@TIPOEMAIL as TipoEmail,
		@GETDATE AS DataGenerazione,
		@ID_ELAB as ID_ELAB
	FROM C6MartPeriodico.CLIENTI_CON_RNA_ALTO C6
	LEFT OUTER JOIN C6MartPeriodico.GESTIONE_EMAIL EMAIL
			ON C6.RETE = EMAIL.RETE
			AND C6.CodicePB = EMAIL.CodicePB
			AND EMAIL.TIPO = @TIPOEMAIL					
			AND YEAR(EMAIL.Data_Generazione) = YEAR(@GETDATE)	
			AND MONTH(EMAIL.Data_Generazione) = MONTH(@GETDATE)	
	LEFT OUTER JOIN C6MART.CODICI_PROMOTORI_FITTIZI PF	
		ON C6.CodicePB BETWEEN PF.CODICEDA AND PF.CODICEA
		AND C6.RETE = PF.RETE
	WHERE 1 = 1
		AND EMAIL.CodicePB IS NULL
		AND PF.RETE IS NULL
-- 
IF @@ERROR<>0 ROLLBACK
COMMIT
END